[Testing Update] 2019-06-28 – Apparmor, Kodi, Pamac, XFCE

@philm wrote:

Hello community,

I am happy to announce another Testing Update.

Some might noticed that since the #snapcraftsummit a lot of package changes went into Manjaro and our available RCs. Also we didn’t yet announce 18.1.0-rc2 officially yet. We are still polishing the snap experience for our users. XFCE and Gnome will come with snap-store snap pre-installed and our KDE edition has Discover with snap support enabled. This way everybody can easily access the snap store by a click and don’t has to hassle to get snaps enabled. This enables us to ship even more proprietary software, which we couldn’t before. For example check out on how you may install Spotify on Manjaro.

This update holds the following changes:

  • apparmor got his own profiles package, which ships those in complain mode. This should fix issues with smbd
  • Kodi got updated to 18.3
  • small fixes to Pamac 8.0-rc2
  • updates to XFCE 4.14
  • Manjaro Juhraya ISOs got updated, including snap support pre-activated: XFCE, KDE, Gnome

Give us the usual feedback and let us know what you think about this update.


Current supported Kernels

  • linux316 3.16.69
  • linux44 4.4.183 (no legacy nvidia-340 module!)
  • linux49 4.9.183
  • linux414 4.14.130
  • linux419 4.19.56
  • linux51 5.1.15
  • linux52 5.2-rc6 (few extramodules build, but not all yet!)
  • linux419-rt 4.19.50_rt22
  • linux50-rt 5.0.21_rt14

Package Updates (Fri Jun 28 07:21:07 CEST 2019)

  • testing community x86_64: 90 new and 88 removed package(s)
  • testing extra x86_64: 21 new and 21 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-27           2019-06-28
-------------------------------------------------------------------------------
                          linux50-rt         5.0.14_rt9-1        5.0.21_rt14-1
                linux50-rt-acpi_call              1.1.0-5              1.1.0-6
                 linux50-rt-bbswitch                0.8-5                0.8-6
              linux50-rt-broadcom-wl       6.30.223.271-5       6.30.223.271-6
                 linux50-rt-catalyst        15.201.1151-5        15.201.1151-6
                  linux50-rt-headers         5.0.14_rt9-1        5.0.21_rt14-1
             linux50-rt-nvidia-340xx            340.107-5            340.107-6
             linux50-rt-nvidia-390xx            390.116-5            390.116-6
                   linux50-rt-nvidia             430.26-1             430.26-2
                 linux50-rt-nvidiabl               0.88-5               0.88-6
                    linux50-rt-r8168           8.045.08-5           8.045.08-6
                linux50-rt-rtl8723bu      4.3.9.3.13200-5      4.3.9.3.13200-6
                 linux50-rt-tp_smapi               0.41-5               0.41-6
              linux50-rt-vhba-module           20190410-1           20190410-2
 linux50-rt-virtualbox-guest-modules              6.0.8-1              6.0.8-2
  linux50-rt-virtualbox-host-modules              6.0.8-1              6.0.8-2
                              mcomix            1.2.1-4.1                    -
                            minitube                3.0-0                    -
                            apparmor                    -             2.13.3-3
                   apparmor-profiles                    -             2.13.3-3


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-27           2019-06-28
-------------------------------------------------------------------------------
                             aws-cli           1.16.183-1           1.16.188-1
                               copyq              3.8.0-1              3.9.0-1
                               dingo               0.13-5                    -
                         dns-lexicon              3.2.7-1              3.2.8-1
                           filezilla             3.42.1-1             3.43.0-1
                              gitlab             12.0.1-1             12.0.2-1
                       gitlab-gitaly             1.48.0-1             1.49.0-1
                             grafana              6.2.4-1              6.2.5-1
                                kodi               18.2-3               18.3-1
        kodi-addon-audioencoder-flac           1:2.0.1-11           1:2.0.1-12
        kodi-addon-audioencoder-lame           1:2.0.1-11           1:2.0.1-12
      kodi-addon-audioencoder-vorbis           1:2.0.1-11           1:2.0.1-12
         kodi-addon-audioencoder-wav           1:2.0.1-11           1:2.0.1-12
            kodi-addon-game-libretro              1.1.0-5              1.1.0-6
 kodi-addon-game-libretro-beetle-psx           0.9.44.7-5           0.9.44.7-6
    kodi-addon-game-libretro-desmume            0.0.1.2-5            0.0.1.2-6
   kodi-addon-game-libretro-gambatte            0.5.0.5-5            0.5.0.5-6
    kodi-addon-game-libretro-melonds            0.6.0.2-5            0.6.0.2-6
       kodi-addon-game-libretro-mgba            0.7.0.5-5            0.7.0.5-6
kodi-addon-game-libretro-mupen64plus            2.5.0.6-5            2.5.0.6-6
   kodi-addon-game-libretro-nestopia           1.50.0.3-5           1.50.0.3-6
kodi-addon-game-libretro-parallel-n64           2.0.0.1-5            2.0.0.1-6
    kodi-addon-game-libretro-reicast           0.1.0.11-5           0.1.0.11-6
    kodi-addon-game-libretro-scummvm            2.0.0.4-5            2.0.0.4-6
     kodi-addon-game-libretro-snes9x           1.58.0.6-5           1.58.0.6-6
    kodi-addon-game-libretro-yabause           0.9.14.1-5           0.9.14.1-6
      kodi-addon-peripheral-joystick              1.4.7-6              1.4.7-7
    kodi-addon-screensaver-asteroids            1:2.3.0-3            1:2.3.0-4
   kodi-addon-screensaver-biogenesis            1:2.2.2-3            1:2.2.2-4
    kodi-addon-screensaver-greynetic            1:2.2.1-3            1:2.2.1-4
 kodi-addon-screensaver-matrixtrails            1:2.2.1-3            1:2.2.1-4
     kodi-addon-screensaver-pingpong            1:2.1.1-6            1:2.1.1-7
         kodi-addon-screensaver-pyro            1:3.0.0-3            1:3.0.0-4
        kodi-addon-screensaver-stars            1:2.1.2-3            1:2.1.2-4
   kodi-addon-visualization-projectm            1:2.2.0-3            1:2.2.0-5
  kodi-addon-visualization-shadertoy           1:1.1.10-3           1:1.1.10-4
   kodi-addon-visualization-spectrum           1:2.0.3-10            1:2.0.4-1
   kodi-addon-visualization-waveform            1:2.0.1-9           1:2.0.1-10
                            kodi-bin               18.2-3               18.3-1
                            kodi-dev               18.2-3               18.3-1
                   kodi-eventclients               18.2-3               18.3-1
                            kodi-gbm               18.2-3               18.3-1
                       kodi-platform   20190429.915da08-1   20190429.915da08-2
            kodi-tools-texturepacker               18.2-3               18.3-1
                        kodi-wayland               18.2-3               18.3-1
                        libfilezilla             0.16.0-1             0.17.1-1
                              lutris            0.5.2.1-2            0.5.2.2-1
                                mame              0.210-1              0.211-1
                           musescore                3.1-1                3.2-1
                               opera      60.0.3255.170-1       62.0.3331.18-1
                 opera-ffmpeg-codecs      73.0.3683.103-1       75.0.3770.80-1
                            projectm              3.1.0-4              3.1.0-5
                 projectm-pulseaudio              3.1.0-4              3.1.0-5
                        projectm-sdl              3.1.0-4              3.1.0-5
           python-aws-sam-translator             1.11.0-2             1.12.0-1
                        python-boto3            1.9.173-1            1.9.178-1
                     python-botocore           1.12.173-1           1.12.178-1
                    python-braintree             3.54.0-1             3.55.0-1
                     python-cfn-lint             0.21.6-1             0.22.0-1
                   python-hypothesis             4.24.5-1             4.24.6-1
                         python-praw              6.2.0-1              6.3.1-1
                       python2-boto3            1.9.173-1            1.9.178-1
                    python2-botocore           1.12.173-1           1.12.178-1
                  python2-hypothesis             4.24.5-1             4.24.6-1
                            sagemath                8.7-5                8.8-1
                        sagemath-doc                8.7-1                8.8-1
                    sagemath-jupyter                8.7-5                8.8-1
                                tldr              0.4.4-4                0.5-1
                             toxcore            1:0.2.9-2           1:0.2.10-1
         v2ray-domain-list-community         20190613.1-2         20190627.1-1
                      dns-over-https                    -              2.1.1-1
                     python-pyroute2                    -              0.5.6-1
                    python2-pyroute2                    -              0.5.6-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-27           2019-06-28
-------------------------------------------------------------------------------
                   manjaro-arm-tools              2.6.1-1              2.6.2-1
                       pamac-cli-dev           8.0.0rc2-1           8.0.0rc2-2
                    pamac-common-dev           8.0.0rc2-1           8.0.0rc2-2
                       pamac-gtk-dev           8.0.0rc2-1           8.0.0rc2-2
         pamac-tray-appindicator-dev           8.0.0rc2-1           8.0.0rc2-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-27           2019-06-28
-------------------------------------------------------------------------------
                          colord-gtk  0.1.26+5+ga9d9c91-2              0.2.0-1
                              galera            25.3.26-1             26.4.2-1
                kwayland-integration             5.16.2-1             5.16.2-2
                             libnice 0.1.15+47+g62cbfbd-1             0.1.16-1
                             mariadb            10.3.16-1             10.4.6-1
                     mariadb-clients            10.3.16-1             10.4.6-1
                        mariadb-libs            10.3.16-1             10.4.6-1
                               mytop            10.3.16-1             10.4.6-1
                             perl-ev               4.26-1               4.27-1
                           syslog-ng             3.21.1-3             3.22.1-1
                         thunderbird             60.7.1-1             60.7.2-1
                     xfce4-dev-tools             4.12.0-2             4.13.0-1
                        zabbix-agent              4.2.3-1              4.2.4-1
                 zabbix-frontend-php              4.2.3-1              4.2.4-1
                        zabbix-proxy              4.2.3-1              4.2.4-1
                       zabbix-server              4.2.3-1              4.2.4-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0
voters

Check if your mirror has already synced:

Posts: 25

Participants: 12

Read full topic


Full Story (EN):More …
Prevod Srpski:Prevod teksta (SR)
Prevod Hrvatski:Prevod teksta (HR)
Source:https://manjaro.github.io/